summaryrefslogtreecommitdiff
path: root/doc/update_website
diff options
context:
space:
mode:
Diffstat (limited to 'doc/update_website')
-rwxr-xr-xdoc/update_website12
1 files changed, 12 insertions, 0 deletions
diff --git a/doc/update_website b/doc/update_website
new file mode 100755
index 0000000..dc73f49
--- /dev/null
+++ b/doc/update_website
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+git checkout gh-pages
+rc=$?
+if [[ $rc != 0 ]] ; then
+ exit $rc
+fi
+cp -r _build/html/*.html _build/html/*.js _build/html/_static _build/html/_modules ../
+echo "html files copied"
+git commit -am"website update"
+git push
+git checkout master